Subject: bug#56393: Actually fix the long lines display bug

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 07 Jul 2022 09:47:49 +0200

Gregory Heytings <[email-masked]> writes:

>> I see the same if I visit literally, just after leaning on C-n
>> longer. It starts happening around 15% into the file.
>
> I can't reproduce that.  Is that with emacs -Q?  What computer do you
> use? I see the same profile, but Emacs remains responsive.

I can't reproduce it with dictionary.json, either -- but I do see
sluggishness if I go to the end of the buffer, and then lean on `C-p'.

But if I visit the file literally, then `C-p' is fast, so js-mode is
apparently having an effect on `C-p' here.  (Or perhaps it's because the
buffer is multibyte when not visiting literally and unibyte when
visiting literally.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no